Search documentation of wx

# View Source wxPasswordEntryDialog (wx v2.4.2)

Functions for wxPasswordEntryDialog class

This class represents a dialog that requests a one-line password string from the user.

It is implemented as a generic wxWidgets dialog.

See: Overview cmndlg

This class is derived (and can use functions) from: `wxTextEntryDialog` `wxDialog` `wxTopLevelWindow` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxPasswordEntryDialog

# Summary

## Types

wxPasswordEntryDialog()

## Functions

destroy(This)

Destroys the object.

new(Parent, Message)
new/3

Constructor.

# Types

Link to this type

# wxPasswordEntryDialog()

View Source

    -type wxPasswordEntryDialog() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPasswordEntryDialog()) -> ok.

Destroys the object.

Link to this function

# new(Parent, Message)

View Source

    -spec new(Parent, Message) -> wxPasswordEntryDialog()
                 when Parent :: wxWindow:wxWindow(), Message :: unicode:chardata().

Link to this function

# new/3

View Source

    -spec new(Parent, Message, [Option]) -> wxPasswordEntryDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Option ::
                         {caption, unicode:chardata()} |
                         {value, unicode:chardata()} |
                         {style, integer()} |
                         {pos, {X :: integer(), Y :: integer()}}.

Constructor.

Use `wxDialog:showModal/1` to show the dialog.